AMQPExchange::setName
AMQPQueue
AMQPExchange
PHP Manual

# AMQPExchange::setType

(PECL amqp >= Unknown)

AMQPExchange::setType — Set the type of the exchange

### Description

public string AMQPExchange::setType ( string `$exchange_type` )

Set the type of the exchange. This can be any of `AMQP_EX_TYPE_DIRECT`, `AMQP_EX_TYPE_FANOUT`, `AMQP_EX_TYPE_HEADER` or `AMQP_EX_TYPE_TOPIC`.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`exchange_type`

  The type of exchange as a string.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

AMQPExchange::setName
AMQPQueue
AMQPExchange
PHP Manual